### A free/open-source library for quantitative finance

Classes
ql/termstructures/credit/interpolatedsurvivalprobabilitycurve.hpp File Reference

interpolated survival-probability term structure More...

`#include <ql/termstructures/credit/survivalprobabilitystructure.hpp>`
`#include <ql/termstructures/interpolatedcurve.hpp>`
`#include <utility>`
Include dependency graph for interpolatedsurvivalprobabilitycurve.hpp:

## Classes

class | InterpolatedSurvivalProbabilityCurve< Interpolator >
| DefaultProbabilityTermStructure based on interpolation of survival probabilities. More...

## Detailed Description

interpolated survival-probability term structure